Singlesignonsettings 4 endpoints

POST /sso/integrations

This endpoint allows you to create an SSO integration.

operationId: SingleSignOnSettings_createIntegration

Request Body

application/json
schema create-integration-request
Property Type Required
name string required
enabled boolean required
entity_id string required
signin_url string required
signout_url string required
completed_integration boolean optional

Responses

200
400
401
403
429
500
POST /sso/integrations
DELETE /sso/integrations/{id}

This endpoint allows you to delete an IdP configuration by ID.

You can retrieve the IDs for your configurations from the response provided by the “Get All SSO Integrations” endpoint.

operationId: SingleSignOnSettings_deleteIntegrationById

Parameters

Name In Required Type Description
id path required string

Responses

204
400
401
403
429
500
DELETE /sso/integrations/{id}
GET /sso/integrations/{id}

This endpoint allows you to retrieve an SSO integration by ID.

You can retrieve the IDs for your configurations from the response provided by the “Get All SSO Integrations” endpoint.

operationId: SingleSignOnSettings_getSsoIntegrationById

Parameters

Name In Required Type Description
id path required string
si query optional boolean

If this parameter is set to true, the response will include the completed_integration field.

Responses

200
400
401
403
429
500
GET /sso/integrations/{id}
PATCH /sso/integrations/{id}

This endpoint allows you to modify an exisiting SSO integration.

You can retrieve the IDs for your configurations from the response provided by the “Get All SSO Integrations” endpoint.

operationId: SingleSignOnSettings_updateIntegration

Parameters

Name In Required Type Description
id path required string
si query optional boolean

If this parameter is set to true, the response will include the completed_integration field.

Request Body

application/json
schema create-integration-request
Property Type Required
name string required
enabled boolean required
entity_id string required
signin_url string required
signout_url string required
completed_integration boolean optional

Responses

200
400
401
403
429
500
PATCH /sso/integrations/{id}

Singlesignonteammates 2 endpoints

POST /sso/teammates

This endpoint allows you to create an SSO Teammate.

The email provided for this user will also function as the Teammate’s username.

operationId: SingleSignOnTeammates_createTeammate

Request Body

application/json
schema sso-teammate-request
Property Type Required
email string required
is_admin boolean optional
last_name string required
first_name string required
is_read_only boolean optional
scopes array required

Responses

201
400
401
403
429
500
POST /sso/teammates
PATCH /sso/teammates/{username}

This endpoint allows you to modify an existing SSO Teammate.

To turn a teammate into an admin, the request body should contain the is_admin field set to true. Otherwise, set is_admin to false and pass in all the scopes that a teammate should have.

Only the parent user and Teammates with admin permissions can update another Teammate’s permissions. Admin users can only update permissions.

operationId: SingleSignOnTeammates_editTeammate

Parameters

Name In Required Type Description
username path required string

This email address must be the same address assigned to the teammate in your IdP

Request Body

application/json
schema SingleSignOnTeammatesEditTeammateRequest
Property Type Required
scopes array optional
is_admin boolean optional
last_name string optional
first_name string optional

Responses

200
400
401
403
429
500
PATCH /sso/teammates/{username}

Spamreportsapi 4 endpoints

DELETE /suppression/spam_reports

This endpoint allows you to delete your spam reports.

Deleting a spam report will remove the suppression, meaning email will once again be sent to the previously suppressed address. This should be avoided unless a recipient indicates they wish to receive email from you again. You can use our bypass filters to deliver messages to otherwise suppressed addresses when exceptions are required.

There are two options for deleting spam reports:

  1. You can delete all spam reports by setting the delete_all field to true in the request body.
  2. You can delete a list of select spam reports by specifying the email addresses in the emails array of the request body.
operationId: SpamReportsApi_deleteReports

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema SpamReportsApiDeleteReportsRequest
Property Type Required
emails array optional
delete_all boolean optional

Responses

204
DELETE /suppression/spam_reports
GET /suppression/spam_reports

This endpoint allows you to retrieve all spam reports.

operationId: SpamReportsApi_getAllReports

Parameters

Name In Required Type Description
start_time query optional integer

The start of the time range when a spam report was created (inclusive). This is a unix timestamp.

end_time query optional integer

The end of the time range when a spam report was created (inclusive). This is a unix timestamp.

limit query optional integer

Limit the number of results to be displayed per page.

offset query optional integer

Paging offset. The point in the list to begin displaying results.

on-behalf-of header optional string

Responses

200
GET /suppression/spam_reports
DELETE /suppression/spam_reports/{email}

This endpoint allows you to delete a specific spam report by email address.

Deleting a spam report will remove the suppression, meaning email will once again be sent to the previously suppressed address. This should be avoided unless a recipient indicates they wish to receive email from you again. You can use our bypass filters to deliver messages to otherwise suppressed addresses when exceptions are required.

operationId: SpamReportsApi_deleteSpecificReportByEmailAddress

Parameters

Name In Required Type Description
email path required string

The email address of a specific spam report that you want to retrieve.

on-behalf-of header optional string

Responses

204
DELETE /suppression/spam_reports/{email}
GET /suppression/spam_reports/{email}

This endpoint allows you to retrieve a specific spam report by email address.

operationId: SpamReportsApi_getSpecificReportByEmail

Parameters

Name In Required Type Description
email path required string

The email address of a specific spam report that you want to retrieve.

on-behalf-of header optional string

Responses

200
GET /suppression/spam_reports/{email}

Stats 7 endpoints

GET /browsers/stats

This endpoint allows you to retrieve your email statistics segmented by browser type.

We only store up to 7 days of email activity in our database. By default, 500 items will be returned per request via the Advanced Stats API endpoints.

Advanced Stats provide a more in-depth view of your email statistics and the actions taken by your recipients. You can segment these statistics by geographic location, device type, client type, browser, and mailbox provider. For more information about statistics, please see our Statistics Overview.

operationId: Stats_getEmailStatisticsByBrowser

Parameters

Name In Required Type Description
browsers query optional string

The browsers to get statistics for. You can include up to 10 different browsers by including this parameter multiple times.

on-behalf-of header optional string
limit query optional integer

The number of results to return.

offset query optional integer

The point in the list to begin retrieving results.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

start_date query optional string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

Responses

200
GET /browsers/stats
GET /clients/stats

This endpoint allows you to retrieve your email statistics segmented by client type.

We only store up to 7 days of email activity in our database. By default, 500 items will be returned per request via the Advanced Stats API endpoints.

Advanced Stats provide a more in-depth view of your email statistics and the actions taken by your recipients. You can segment these statistics by geographic location, device type, client type, browser, and mailbox provider. For more information about statistics, please see our Statistics Overview.

operationId: Stats_getEmailStatisticsByClientType

Parameters

Name In Required Type Description
on-behalf-of header optional string
start_date query optional string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

Responses

200
GET /clients/stats
GET /clients/{client_type}/stats

This endpoint allows you to retrieve your email statistics segmented by a specific client type.

We only store up to 7 days of email activity in our database. By default, 500 items will be returned per request via the Advanced Stats API endpoints.

Available Client Types

  • phone
  • tablet
  • webmail
  • desktop

Advanced Stats provide a more in-depth view of your email statistics and the actions taken by your recipients. You can segment these statistics by geographic location, device type, client type, browser, and mailbox provider. For more information about statistics, please see our Statistics Overview.

operationId: Stats_getStatsByClientType

Parameters

Name In Required Type Description
client_type path required string

Specifies the type of client to retrieve stats for. Must be either “phone”, “tablet”, “webmail”, or “desktop”.

on-behalf-of header optional string
start_date query optional string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

Responses

200
GET /clients/{client_type}/stats
GET /devices/stats

This endpoint allows you to retrieve your email statistics segmented by the device type.

We only store up to 7 days of email activity in our database. By default, 500 items will be returned per request via the Advanced Stats API endpoints.

Available Device Types

| Device | Description | Example |
|—|—|—|
| Desktop | Email software on desktop computer. | I.E., Outlook, Sparrow, or Apple Mail. |
| Webmail | A web-based email client. | I.E., Yahoo, Google, AOL, or Outlook.com. |
| Phone | A smart phone. | iPhone, Android, Blackberry, etc.
| Tablet | A tablet computer. | iPad, android based tablet, etc. |
| Other | An unrecognized device. |

Advanced Stats provide a more in-depth view of your email statistics and the actions taken by your recipients. You can segment these statistics by geographic location, device type, client type, browser, and mailbox provider. For more information about statistics, please see our Statistics Overview.

operationId: Stats_getEmailStatisticsByDeviceType

Parameters

Name In Required Type Description
on-behalf-of header optional string
limit query optional integer

The number of results to return.

offset query optional integer

The point in the list to begin retrieving results.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

start_date query optional string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

Responses

200
GET /devices/stats
GET /geo/stats

This endpoint allows you to retrieve your email statistics segmented by country and state/province.

We only store up to 7 days of email activity in our database. By default, 500 items will be returned per request via the Advanced Stats API endpoints.

Advanced Stats provide a more in-depth view of your email statistics and the actions taken by your recipients. You can segment these statistics by geographic location, device type, client type, browser, and mailbox provider. For more information about statistics, please see our User Guide.

operationId: Stats_getEmailStatisticsByCountryAndStateProvince

Parameters

Name In Required Type Description
country query optional string

The country you would like to see statistics for. Currently only supported for US and CA.

on-behalf-of header optional string
limit query optional integer

The number of results to return.

offset query optional integer

The point in the list to begin retrieving results.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

start_date query optional string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

Responses

200
GET /geo/stats
GET /mailbox_providers/stats

This endpoint allows you to retrieve your email statistics segmented by recipient mailbox provider.

We only store up to 7 days of email activity in our database. By default, 500 items will be returned per request via the Advanced Stats API endpoints.

Advanced Stats provide a more in-depth view of your email statistics and the actions taken by your recipients. You can segment these statistics by geographic location, device type, client type, browser, and mailbox provider. For more information about statistics, please see our Statistics Overview.

operationId: Stats_getEmailStatisticsByMailboxProvider

Parameters

Name In Required Type Description
mailbox_providers query optional string

The mail box providers to get statistics for. You can include up to 10 by including this parameter multiple times.

on-behalf-of header optional string
limit query optional integer

The number of results to return.

offset query optional integer

The point in the list to begin retrieving results.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

start_date query optional string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

Responses

200
GET /mailbox_providers/stats
GET /stats

This endpoint allows you to retrieve all of your global email statistics between a given date range.

Parent accounts will see aggregated stats for their account and all subuser accounts. Subuser accounts will only see their own stats.

operationId: GET_stats

Parameters

Name In Required Type Description
on-behalf-of header optional string
limit query optional integer

The number of results to return.

offset query optional integer

The point in the list to begin retrieving results.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

start_date query optional string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

Responses

200
GET /stats

Subusermonitorsettings 4 endpoints

DELETE /subusers/{subuser_name}/monitor
operationId: SubuserMonitorSettings_deleteMonitorSettings

Parameters

Name In Required Type Description
subuser_name path required string

The name of the subuser for which to retrieve monitor settings.

Responses

204
401
404
DELETE /subusers/{subuser_name}/monitor
GET /subusers/{subuser_name}/monitor
operationId: SubuserMonitorSettings_getSettings

Parameters

Name In Required Type Description
subuser_name path required string

The name of the subuser for which to retrieve monitor settings.

Responses

200
401
404
GET /subusers/{subuser_name}/monitor
POST /subusers/{subuser_name}/monitor
operationId: SubuserMonitorSettings_createSettings

Parameters

Name In Required Type Description
subuser_name path required string

The name of the subuser for which to retrieve monitor settings.

Request Body

application/json
schema monitor
Property Type Required
email string required
frequency number required

Responses

200
400
401
POST /subusers/{subuser_name}/monitor
PUT /subusers/{subuser_name}/monitor
operationId: SubuserMonitorSettings_updateForSubuserNameMonitor

Parameters

Name In Required Type Description
subuser_name path required string

The name of the subuser for which to retrieve monitor settings.

Request Body

application/json
schema monitor
Property Type Required
email string required
frequency number required

Responses

200
400
401
PUT /subusers/{subuser_name}/monitor

Subuserstatistics 4 endpoints

GET /subusers/stats

This endpoint allows you to retrieve the email statistics for the given subusers.

You may retrieve statistics for up to 10 different subusers by including an additional subusers parameter for each additional subuser.

operationId: SubuserStatistics_getEmailStatsForSubusers

Parameters

Name In Required Type Description
limit query optional integer

Limits the number of results returned per page.

offset query optional integer

The point in the list to begin retrieving results from.

aggregated_by query optional string

How to group the statistics. Must be either “day”, “week”, or “month”.

subusers query required string

The subuser you want to retrieve statistics for. You may include this parameter up to 10 times to retrieve statistics for multiple subusers.

start_date query required string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today.

Responses

200
GET /subusers/stats
GET /subusers/stats/monthly

This endpoint allows you to retrieve the monthly email statistics for all subusers over the given date range.

When using the sort_by_metric to sort your stats by a specific metric, you can not sort by the following metrics:
bounce_drops, deferred, invalid_emails, processed, spam_report_drops, spam_reports, or unsubscribe_drops.

operationId: SubuserStatistics_getMonthlyStatsForAllSubusers

Parameters

Name In Required Type Description
date query required string

The date of the month to retrieve statistics for. Must be formatted YYYY-MM-DD

subuser query optional string

A substring search of your subusers.

sort_by_metric query optional string

The metric that you want to sort by. Metrics that you can sort by are: blocks, bounces, clicks, delivered, opens, requests, unique_clicks, unique_opens, and unsubscribes.’

sort_by_direction query optional string

The direction you want to sort.

limit query optional integer

Optional field to limit the number of results returned.

offset query optional integer

Optional beginning point in the list to retrieve from.

Responses

200
GET /subusers/stats/monthly
GET /subusers/stats/sums

This endpoint allows you to retrieve the total sums of each email statistic metric for all subusers over the given date range.

operationId: SubuserStatistics_getEmailStatsForSubusers

Parameters

Name In Required Type Description
sort_by_direction query optional string

The direction you want to sort.

start_date query required string

The starting date of the statistics to retrieve. Must follow format YYYY-MM-DD.

end_date query optional string

The end date of the statistics to retrieve. Defaults to today. Must follow format YYYY-MM-DD.

limit query optional integer

Limits the number of results returned per page.

offset query optional integer

The point in the list to begin retrieving results from.

aggregated_by query optional string

How to group the statistics. Defaults to today. Must follow format YYYY-MM-DD.

sort_by_metric query optional string

The metric that you want to sort by. Must be a single metric.

Responses

200
GET /subusers/stats/sums
GET /subusers/{subuser_name}/stats/monthly

This endpoint allows you to retrive the monthly email statistics for a specific subuser.

When using the sort_by_metric to sort your stats by a specific metric, you can not sort by the following metrics:
bounce_drops, deferred, invalid_emails, processed, spam_report_drops, spam_reports, or unsubscribe_drops.

operationId: SubuserStatistics_getMonthlyEmailStatsForSingleSubuser

Parameters

Name In Required Type Description
subuser_name path required string
date query required string

The date of the month to retrieve statistics for. Must be formatted YYYY-MM-DD

sort_by_metric query optional string

The metric that you want to sort by. Metrics that you can sort by are: blocks, bounces, clicks, delivered, opens, requests, unique_clicks, unique_opens, and unsubscribes.’

sort_by_direction query optional string

The direction you want to sort.

limit query optional integer

Optional field to limit the number of results returned.

offset query optional integer

Optional beginning point in the list to retrieve from.

Responses

200
GET /subusers/{subuser_name}/stats/monthly

Subusersapi 6 endpoints

GET /subusers

This endpoint allows you to retrieve a list of all of your subusers.

You can choose to retrieve specific subusers as well as limit the results that come back from the API.

operationId: GET_subusers

Parameters

Name In Required Type Description
username query optional string

The username of this subuser.

limit query optional integer

The number of results you would like to get in each request.

offset query optional integer

The number of subusers to skip.

Responses

200
401

Unexpected error in API call. See HTTP response body for details.

GET /subusers
POST /subusers

This endpoint allows you to create a new subuser.

operationId: POST_subusers

Request Body

application/json
schema PostSubusersRequest
Property Type Required
ips array required
email string required
password string required
username string required

Responses

200
400
401
403
500
POST /subusers
GET /subusers/reputations

This endpoint allows you to request the reputations for your subusers.

Subuser sender reputations give a good idea how well a sender is doing with regards to how recipients and recipient servers react to the mail that is being received. When a bounce, spam report, or other negative action happens on a sent email, it will affect your sender rating.

operationId: SubusersApi_getSubuserReputations

Parameters

Name In Required Type Description
usernames query optional string

Responses

200
GET /subusers/reputations
DELETE /subusers/{subuser_name}

This endpoint allows you to delete a subuser.

This is a permanent action. Once deleted, a subuser cannot be retrieved.

operationId: SubusersApi_deleteSubuser

Parameters

Name In Required Type Description
subuser_name path required string

Responses

204
401
DELETE /subusers/{subuser_name}
PATCH /subusers/{subuser_name}

This endpoint allows you to enable or disable a subuser.

operationId: SubusersApi_updateSubuserEnableState

Parameters

Name In Required Type Description
subuser_name path required string

Request Body

application/json
schema SubusersApiUpdateSubuserEnableStateRequest
Property Type Required
disabled boolean optional

Responses

204
400
401
500
PATCH /subusers/{subuser_name}
PUT /subusers/{subuser_name}/ips

This endpoint allows you update your subusers’ assigned IP.

Each subuser should be assigned to an IP address from which all of this subuser’s mail will be sent. Often, this is the same IP as the parent account, but each subuser can have one or more of their own IP addresses as well.

More information:

operationId: SubusersApi_updateSubuserIps

Parameters

Name In Required Type Description
subuser_name path required string

Request Body

application/json
schema SubusersApiUpdateSubuserIpsRequest
array of string

Responses

200
401
PUT /subusers/{subuser_name}/ips

Suppressionsglobalsuppressions 4 endpoints

POST /asm/suppressions/global

This endpoint allows you to add one or more email addresses to the global suppressions group.

operationId: SuppressionsGlobalSuppressions_addRecipientAddresses

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema suppressions-request
Property Type Required
recipient_emails array required

Responses

201
POST /asm/suppressions/global
DELETE /asm/suppressions/global/{email}

This endpoint allows you to remove an email address from the global suppressions group.

Deleting a suppression group will remove the suppression, meaning email will once again be sent to the previously suppressed addresses. This should be avoided unless a recipient indicates they wish to receive email from you again. You can use our bypass filters to deliver messages to otherwise suppressed addresses when exceptions are required.

operationId: SuppressionsGlobalSuppressions_removeEmail

Parameters

Name In Required Type Description
email path required string

The email address of the global suppression you want to retrieve. Or, if you want to check if an email address is on the global suppressions list, enter that email address here.

on-behalf-of header optional string

Responses

204
DELETE /asm/suppressions/global/{email}
GET /asm/suppressions/global/{email}

This endpoint allows you to retrieve a global suppression. You can also use this endpoint to confirm if an email address is already globally suppresed.

If the email address you include in the URL path parameter {email} is already globally suppressed, the response will include that email address. If the address you enter for {email} is not globally suppressed, an empty JSON object {} will be returned.

operationId: SuppressionsGlobalSuppressions_getGlobalSuppression

Parameters

Name In Required Type Description
email path required string

The email address of the global suppression you want to retrieve. Or, if you want to check if an email address is on the global suppressions list, enter that email address here.

on-behalf-of header optional string

Responses

200
GET /asm/suppressions/global/{email}
GET /suppression/unsubscribes

This endpoint allows you to retrieve a list of all email address that are globally suppressed.

operationId: SuppressionsGlobalSuppressions_getAllAddresses

Parameters

Name In Required Type Description
start_time query optional integer

Refers start of the time range in unix timestamp when an unsubscribe email was created (inclusive).

end_time query optional integer

Refers end of the time range in unix timestamp when an unsubscribe email was created (inclusive).

limit query optional integer

The number of results to display on each page.

offset query optional integer

The point in the list of results to begin displaying global suppressions.

on-behalf-of header optional string

Responses

200
GET /suppression/unsubscribes

Suppressionssuppressions 6 endpoints

GET /asm/groups/{group_id}/suppressions

This endpoint allows you to retrieve all suppressed email addresses belonging to the given group.

operationId: SuppressionsSuppressions_getAllSuppressedEmails

Parameters

Name In Required Type Description
group_id path required string

The id of the unsubscribe group that you are adding suppressions to.

on-behalf-of header optional string

Responses

200
GET /asm/groups/{group_id}/suppressions
POST /asm/groups/{group_id}/suppressions

This endpoint allows you to add email addresses to an unsubscribe group.

If you attempt to add suppressions to a group that has been deleted or does not exist, the suppressions will be added to the global suppressions list.

operationId: SuppressionsSuppressions_addToGroup

Parameters

Name In Required Type Description
group_id path required string

The id of the unsubscribe group that you are adding suppressions to.

on-behalf-of header optional string

Request Body

application/json
schema suppressions-request
Property Type Required
recipient_emails array required

Responses

201
POST /asm/groups/{group_id}/suppressions
POST /asm/groups/{group_id}/suppressions/search

This endpoint allows you to search a suppression group for multiple suppressions.

When given a list of email addresses and a group ID, this endpoint will only return the email addresses that have been unsubscribed from the given group.

operationId: SuppressionsSuppressions_searchWithinGroup

Parameters

Name In Required Type Description
group_id path required string

The ID of the suppression group that you would like to search.

on-behalf-of header optional string

Request Body

application/json
schema suppressions-request
Property Type Required
recipient_emails array required

Responses

200
POST /asm/groups/{group_id}/suppressions/search
DELETE /asm/groups/{group_id}/suppressions/{email}

This endpoint allows you to remove a suppressed email address from the given suppression group.

Removing an address will remove the suppression, meaning email will once again be sent to the previously suppressed addresses. This should be avoided unless a recipient indicates they wish to receive email from you again. You can use our bypass filters to deliver messages to otherwise suppressed addresses when exceptions are required.

operationId: SuppressionsSuppressions_removeSuppressionFromGroup

Parameters

Name In Required Type Description
group_id path required string

The id of the suppression group that you are removing an email address from.

email path required string

The email address that you want to remove from the suppression group.

on-behalf-of header optional string

Responses

204
DELETE /asm/groups/{group_id}/suppressions/{email}
GET /asm/suppressions

This endpoint allows you to retrieve a list of all suppressions.

operationId: SuppressionsSuppressions_getAllSuppressions

Parameters

Name In Required Type Description
on-behalf-of header optional string

Responses

200
GET /asm/suppressions
GET /asm/suppressions/{email}

This endpoint returns a list of all groups from which the given email address has been unsubscribed.

operationId: SuppressionsSuppressions_getUnsubscribeGroupsByEmail

Parameters

Name In Required Type Description
email path required string

The email address that you want to search suppression groups for.

on-behalf-of header optional string

Responses

200
GET /asm/suppressions/{email}

Suppressionsunsubscribegroups 5 endpoints

GET /asm/groups

This endpoint allows you to retrieve a list of all suppression groups created by this user.

This endpoint can also return information for multiple group IDs that you include in your request. To add a group ID to your request, simply append ?id=123456&id=123456, with the appropriate group IDs.

operationId: SuppressionsUnsubscribeGroups_getAll

Parameters

Name In Required Type Description
id query optional integer
on-behalf-of header optional string

Responses

200
GET /asm/groups
POST /asm/groups

This endpoint allows you to create a new suppression group.

To add an email address to the suppression group, create a Suppression.

operationId: SuppressionsUnsubscribeGroups_createNewGroup

Parameters

Name In Required Type Description
on-behalf-of header optional string

Request Body

application/json
schema suppression-group-request-base
Property Type Required
name string optional
is_default boolean optional
description string optional

Responses

201
POST /asm/groups
DELETE /asm/groups/{group_id}

This endpoint allows you to delete a suppression group.

If a recipient uses the “one-click unsubscribe” option on an email associated with a deleted group, that recipient will be added to the global suppression list.

Deleting a suppression group will remove the suppression, meaning email will once again be sent to the previously suppressed addresses. This should be avoided unless a recipient indicates they wish to receive email from you again. You can use our bypass filters to deliver messages to otherwise suppressed addresses when exceptions are required.

operationId: SuppressionsUnsubscribeGroups_deleteGroup

Parameters

Name In Required Type Description
group_id path required string

The ID of the suppression group you would like to retrieve.

on-behalf-of header optional string

Responses

204
DELETE /asm/groups/{group_id}
GET /asm/groups/{group_id}

This endpoint allows you to retrieve a single suppression group.

operationId: SuppressionsUnsubscribeGroups_getSingleGroup

Parameters

Name In Required Type Description
group_id path required string

The ID of the suppression group you would like to retrieve.

on-behalf-of header optional string

Responses

200
GET /asm/groups/{group_id}
PATCH /asm/groups/{group_id}

This endpoint allows you to update or change a suppression group.

operationId: SuppressionsUnsubscribeGroups_updateGroup

Parameters

Name In Required Type Description
group_id path required string

The ID of the suppression group you would like to retrieve.

on-behalf-of header optional string

Request Body

application/json
schema suppression-group-request-base
Property Type Required
name string optional
is_default boolean optional
description string optional

Responses

201
PATCH /asm/groups/{group_id}

Teammates 4 endpoints

GET /scopes/requests

This endpoint allows you to retrieve a list of all recent access requests.

The Response Header’s link parameter will include pagination info.

operationId: Teammates_getAccessRequests

Parameters

Name In Required Type Description
limit query optional integer

Optional field to limit the number of results returned.

offset query optional integer

Optional beginning point in the list to retrieve from.

Responses

200
GET /scopes/requests
DELETE /scopes/requests/{request_id}

This endpoint allows you to deny an attempt to access your account.

Note: Only teammate admins may delete a teammate’s access request.

operationId: Teammates_denyAccessRequest

Parameters

Name In Required Type Description
request_id path required string

The ID of the request that you want to deny.

Responses

204
401
404
DELETE /scopes/requests/{request_id}
PATCH /scopes/requests/{request_id}/approve

This endpoint allows you to approve an access attempt.

Note: Only teammate admins may approve another teammate’s access request.

operationId: Teammates_approveAccessRequest

Parameters

Name In Required Type Description
request_id path required string

The ID of the request that you want to approve.

Responses

200
401
404
PATCH /scopes/requests/{request_id}/approve
GET /teammates

This endpoint allows you to retrieve a list of all current Teammates.

You can limit the number of results returned using the limit query paramater. To return results from a specific Teammate, use the offset paramter. The Response Headers will include pagination info.

operationId: Teammates_getAllTeammates

Parameters

Name In Required Type Description
limit query optional integer

Number of items to return

offset query optional integer

Paging offset

on-behalf-of header optional string

Responses

200
GET /teammates
Load more endpoints